function selectCurrentTool( handles )
    toolButton = get( handles.toolSelect, 'SelectedObject' );
    toolName = get( toolButton, 'Tag' );
    selectPanel( handles, handles.panels, toolName );
    setInteractionModeFromGUI( handles );
end
